program project1;

uses
  Classes, SysUtils, SVGCanvas;
var
  svg: TSVGCanvas;
begin
  svg := TSVGCanvas.Create;
  try
    svg.BeginDoc(400, 300);

    svg.FillColor := 'red';
    svg.FillColor := 'yellow';
    svg.LineColor := 'black';
    svg.Ellipse(150, 100, 150, 100);

    svg.LineColor := 'red';
    svg.LineWidth := 3;
    svg.Line(0, 0, 400, 300);

    svg.LineColor := 'none';
    svg.FillColor := 'blue';
    svg.Rectangle(200, 0, 100, 100);

    svg.TextOut(300, 250, 'links');
    svg.FontSize := 20;
    svg.TextAlignment := svgCenter;
    svg.TextOut(300, 250+svg.FontSize, 'zentriert');
    svg.TextAlignment := svgRight;
    svg.TextOut(300, 250+2*svg.FontSize, 'rechts');

    svg.LineColor := 'red';
    svg.LineWidth := 1;
    svg.Line(290, 250, 310, 250);
    svg.Line(300, 240, 300, 260);

    svg.BeginGroup('Test');
      svg.FillColor := 'none';
      svg.LineColor := 'black';
      svg.Circle(50, 200, 40);
      svg.FillColor := 'yellow';
      svg.Rectangle(50-10, 200-10, 20, 20);
    svg.EndGroup;

    svg.EndDoc;
    svg.SaveToFile('test.svg');
  finally
    svg.Free;
  end;
end.

